{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.ender_chiller.shoot": {
				"initial_state" : "default",
				"states": {
					"default": {
						"transitions": [
							{
								"attack": "query.is_charged"
							}
						],
						"blend_transition": 0.2
					},
					"attack": {
						"animations": [
							"attack"
						],
						"transitions": [
							{
								"default": "q.all_animations_finished && !query.is_charged"
							}
						],
						"blend_transition": 0.2
					}
				}
		},
		"controller.animation.ender_chiller.particle": {
			"states": {
				"default": {
					"transitions": [
						{ "particle": "query.is_alive" }
					]
				},
				"particle": {
					"particle_effects": [
						{ "effect": "ender_chiller" }
					],
					"transitions": [
						{ "default": "!query.is_alive" }
					]
				}
			}
		}
	}
} 